-- GET SPELL INFO

	-- ###################################
	-- ###################################

-- MOUNT SPELLS

	-- ###################################

	-- MOUNT: TYRAEL'S CHARGER
	Mount_Tyraels_Charger_Name, Mount_Tyraels_Charger_Rank, Mount_Tyraels_Charger_Icon, Mount_Tyraels_Charger_Cost, Mount_Tyraels_Charger_isFunnel, Mount_Tyraels_Charger_powerType, Mount_Tyraels_Charger_castTime, Mount_Tyraels_Charger_minRange, Mount_Tyraels_Charger_maxRange = GetSpellInfo(107203) -- 107203 

	Mount_Tyraels_Charger_ID = (107203) -- 107203 
	
	-- ###################################
	-- ###################################

	-- MOUNT: ARGENT HIPPOGRYPH
	Mount_Argent_Hippogryph_Name, Mount_Argent_Hippogryph_Rank, Mount_Argent_Hippogryph_Icon, Mount_Argent_Hippogryph_Cost, Mount_Argent_Hippogryph_isFunnel, Mount_Argent_Hippogryph_powerType, Mount_Argent_Hippogryph_castTime, Mount_Argent_Hippogryph_minRange, Mount_Argent_Hippogryph_maxRange = GetSpellInfo(63844)

	Mount_Argent_Hippogryph_ID = (63844)
	
	-- ###################################
	-- ###################################

	-- MOUNT: BLAZING HIPPOGRYPH - TCG Loot
	Mount_Blazing_Hippogryph_Name, Mount_Blazing_Hippogryph_Rank, Mount_Blazing_Hippogryph_Icon, Mount_Blazing_Hippogryph_Cost, Mount_Blazing_Hippogryph_isFunnel, Mount_Blazing_Hippogryph_powerType, Mount_Blazing_Hippogryph_castTime, Mount_Blazing_Hippogryph_minRange, Mount_Blazing_Hippogryph_maxRange = GetSpellInfo(74856)

	Mount_Blazing_Hippogryph_ID = (74856)
	
	-- ###################################
	-- ###################################

	-- MOUNT: CENARION WAR HIPPOGRYPH
	Mount_Cenarion_War_Hippogryph_Name, Mount_Cenarion_War_Hippogryph_Rank, Mount_Cenarion_War_Hippogryph_Icon, Mount_Cenarion_War_Hippogryph_Cost, Mount_Cenarion_War_Hippogryph_isFunnel, Mount_Cenarion_War_Hippogryph_powerType, Mount_Cenarion_War_Hippogryph_castTime, Mount_Cenarion_War_Hippogryph_minRange, Mount_Cenarion_War_Hippogryph_maxRange = GetSpellInfo(43927)

	Mount_Cenarion_War_Hippogryph_ID = (43927)
	
	-- ###################################
	-- ###################################

	-- MOUNT: SILVER COVENANT HIPPOGRYPH
	Mount_Silver_Covenant_Hippogryph_Name, Mount_Silver_Covenant_Hippogryph_Rank, Mount_Silver_Covenant_Hippogryph_Icon, Mount_Silver_Covenant_Hippogryph_Cost, Mount_Silver_Covenant_Hippogryph_isFunnel, Mount_Silver_Covenant_Hippogryph_powerType, Mount_Silver_Covenant_Hippogryph_castTime, Mount_Silver_Covenant_Hippogryph_minRange, Mount_Silver_Covenant_Hippogryph_maxRange = GetSpellInfo(66087)

	Mount_Silver_Covenant_Hippogryph_ID = (66087)
	
	-- ###################################
	-- ###################################

	-- MOUNT: BLUE DRAGONHAWK ( ALLIANCE )
	Mount_Blue_Dragonhawk_Name, Mount_Blue_Dragonhawk_Rank, Mount_Blue_Dragonhawk_Icon, Mount_Blue_Dragonhawk_Cost, Mount_Blue_Dragonhawk_isFunnel, Mount_Blue_Dragonhawk_powerType, Mount_Blue_Dragonhawk_castTime, Mount_Blue_Dragonhawk_minRange, Mount_Blue_Dragonhawk_maxRange = GetSpellInfo(61996)

	Mount_Blue_Dragonhawk_ID = (61996)
	
	-- ###################################
	-- ###################################

	-- MOUNT: RED DRAGONHAWK ( HORDE )
	Mount_Red_Dragonhawk_Name, Mount_Red_Dragonhawk_Rank, Mount_Red_Dragonhawk_Icon, Mount_Red_Dragonhawk_Cost, Mount_Red_Dragonhawk_isFunnel, Mount_Red_Dragonhawk_powerType, Mount_Red_Dragonhawk_castTime, Mount_Red_Dragonhawk_minRange, Mount_Red_Dragonhawk_maxRange = GetSpellInfo(61997)

	Mount_Red_Dragonhawk_ID = (61997)
	
	-- ###################################
	-- ###################################

	-- MOUNT: SUNREAVER DRAGONHAWK
	Mount_Sunreaver_Dragonhawk_Name, Mount_Sunreaver_Dragonhawk_Rank, Mount_Sunreaver_Dragonhawk_Icon, Mount_Sunreaver_Dragonhawk_Cost, Mount_Sunreaver_Dragonhawk_isFunnel, Mount_Sunreaver_Dragonhawk_powerType, Mount_Sunreaver_Dragonhawk_castTime, Mount_Sunreaver_Dragonhawk_minRange, Mount_Sunreaver_Dragonhawk_maxRange = GetSpellInfo(66088)

	Mount_Sunreaver_Dragonhawk_ID = (66088)
	
	-- ###################################
	-- ###################################

	-- MOUNT: AMANI DRAGONHAWK
	Mount_Amani_Dragonhawk_Name, Mount_Amani_Dragonhawk_Rank, Mount_Amani_Dragonhawk_Icon, Mount_Amani_Dragonhawk_Cost, Mount_Amani_Dragonhawk_isFunnel, Mount_Amani_Dragonhawk_powerType, Mount_Amani_Dragonhawk_castTime, Mount_Amani_Dragonhawk_minRange, Mount_Amani_Dragonhawk_maxRange = GetSpellInfo(96503)

	Mount_Amani_Dragonhawk_ID = (96503)
	
	-- ###################################
	-- ###################################

	-- MOUNT: GREEN FIRE HAWK - PROBABLY NOT INCLUDED YET
	Mount_Green_Fire_Hawk_Name, Mount_Green_Fire_Hawk_Rank, Mount_Green_Fire_Hawk_Icon, Mount_Green_Fire_Hawk_Cost, Mount_Green_Fire_Hawk_isFunnel, Mount_Green_Fire_Hawk_powerType, Mount_Green_Fire_Hawk_castTime, Mount_Green_Fire_Hawk_minRange, Mount_Green_Fire_Hawk_maxRange = GetSpellInfo(69226)

	Mount_Green_Fire_Hawk_ID = (69226)
	
	-- ###################################
	-- ###################################

	-- MOUNT: PUREBLOOD FIRE HAWK
	Mount_Pureblood_Fire_Hawk_Name, Mount_Pureblood_Fire_Hawk_Rank, Mount_Pureblood_Fire_Hawk_Icon, Mount_Pureblood_Fire_Hawk_Cost, Mount_Pureblood_Fire_Hawk_isFunnel, Mount_Pureblood_Fire_Hawk_powerType, Mount_Pureblood_Fire_Hawk_castTime, Mount_Pureblood_Fire_Hawk_minRange, Mount_Pureblood_Fire_Hawk_maxRange = GetSpellInfo(97493)

	Mount_Pureblood_Fire_Hawk_ID = (97493)
	
	-- ###################################
	-- ###################################

	-- MOUNT: CORRUPT FIRE HAWK
	Mount_Corrupt_Fire_Hawk_Name, Mount_Corrupt_Fire_Hawk_Rank, Mount_Corrupt_Fire_Hawk_Icon, Mount_Corrupt_Fire_Hawk_Cost, Mount_Corrupt_Fire_Hawk_isFunnel, Mount_Corrupt_Fire_Hawk_powerType, Mount_Corrupt_Fire_Hawk_castTime, Mount_Corrupt_Fire_Hawk_minRange, Mount_Corrupt_Fire_Hawk_maxRange = GetSpellInfo(97560)

	Mount_Corrupt_Fire_Hawk_ID = (97560)
	
	-- ###################################
	-- ###################################

	-- MOUNT: SANDSTONE DRAKE - VIAL OF THE SANDS
	Mount_Sandstone_Drake_Name, Mount_Sandstone_Drake_Rank, Mount_Sandstone_Drake_Icon, Mount_Sandstone_Drake_Cost, Mount_Sandstone_Drake_isFunnel, Mount_Sandstone_Drake_powerType, Mount_Sandstone_Drake_castTime, Mount_Sandstone_Drake_minRange, Mount_Sandstone_Drake_maxRange = GetSpellInfo(93326)

	Mount_Sandstone_Drake_ID = (93326)
	
	-- ###################################

	-- MOUNT: PHOSPHORESCENT STONE DRAKE
	Mount_Phosphorescent_Stone_Drake_Name, Mount_Phosphorescent_Stone_Drake_Rank, Mount_Phosphorescent_Stone_Drake_Icon, Mount_Phosphorescent_Stone_Drake_Cost, Mount_Phosphorescent_Stone_Drake_isFunnel, Mount_Phosphorescent_Stone_Drake_powerType, Mount_Phosphorescent_Stone_Drake_castTime, Mount_Phosphorescent_Stone_Drake_minRange, Mount_Phosphorescent_Stone_Drake_maxRange = GetSpellInfo(88718)

	Mount_Phosphorescent_Stone_Drake_ID = (88718)
	
	-- ###################################
	-- ###################################

	-- MOUNT: VITREOUS STONE DRAKE
	Mount_Vitreous_Stone_Drake_Name, Mount_Vitreous_Stone_Drake_Rank, Mount_Vitreous_Stone_Drake_Icon, Mount_Vitreous_Stone_Drake_Cost, Mount_Vitreous_Stone_Drake_isFunnel, Mount_Vitreous_Stone_Drake_powerType, Mount_Vitreous_Stone_Drake_castTime, Mount_Vitreous_Stone_Drake_minRange, Mount_Vitreous_Stone_Drake_maxRange = GetSpellInfo(88746)

	Mount_Vitreous_Stone_Drake_ID = (88746)
	
	-- ###################################
	-- ###################################

	-- MOUNT: VOLCANIC STONE DRAKE
	Mount_Volcanic_Stone_Drake_Name, Mount_Volcanic_Stone_Drake_Rank, Mount_Volcanic_Stone_Drake_Icon, Mount_Volcanic_Stone_Drake_Cost, Mount_Volcanic_Stone_Drake_isFunnel, Mount_Volcanic_Stone_Drake_powerType, Mount_Volcanic_Stone_Drake_castTime, Mount_Volcanic_Stone_Drake_minRange, Mount_Volcanic_Stone_Drake_maxRange = GetSpellInfo(88331)

	Mount_Volcanic_Stone_Drake_ID = (88331)
	
	-- ###################################
	-- ###################################

	-- MOUNT: ICEBOUND FROSTBROOD VANQUISHER
	Mount_Icebound_Frostbrood_Vanquisher_Name, Mount_Icebound_Frostbrood_Vanquisher_Rank, Mount_Icebound_Frostbrood_Vanquisher_Icon, Mount_Icebound_Frostbrood_Vanquisher_Cost, Mount_Icebound_Frostbrood_Vanquisher_isFunnel, Mount_Icebound_Frostbrood_Vanquisher_powerType, Mount_Icebound_Frostbrood_Vanquisher_castTime, Mount_Icebound_Frostbrood_Vanquisher_minRange, Mount_Icebound_Frostbrood_Vanquisher_maxRange = GetSpellInfo(72807)

	Mount_Icebound_Frostbrood_Vanquisher_ID = (72807)
	
	-- ###################################
	-- ###################################

	-- MOUNT: BLOODBATHED FROSTBROOD VANQUISHER
	Mount_Bloodbathed_Frostbrood_Vanquisher_Name, Mount_Bloodbathed_Frostbrood_Vanquisher_Rank, Mount_Bloodbathed_Frostbrood_Vanquisher_Icon, Mount_Bloodbathed_Frostbrood_Vanquisher_Cost, Mount_Bloodbathed_Frostbrood_Vanquisher_isFunnel, Mount_Bloodbathed_Frostbrood_Vanquisher_powerType, Mount_Bloodbathed_Frostbrood_Vanquisher_castTime, Mount_Bloodbathed_Frostbrood_Vanquisher_minRange, Mount_Bloodbathed_Frostbrood_Vanquisher_maxRange = GetSpellInfo(72808)

	Mount_Bloodbathed_Frostbrood_Vanquisher_ID = (72808)
	
	-- ###################################
	-- ###################################

	-- MOUNT: ONYXIAN DRAKE
	Mount_Onyxian_Drake_Name, Mount_Onyxian_Drake_Rank, Mount_Onyxian_Drake_Icon, Mount_Onyxian_Drake_Cost, Mount_Onyxian_Drake_isFunnel, Mount_Onyxian_Drake_powerType, Mount_Onyxian_Drake_castTime, Mount_Onyxian_Drake_minRange, Mount_Onyxian_Drake_maxRange = GetSpellInfo(69395)

	Mount_Onyxian_Drake_ID = (69395)
	
	-- ###################################
	-- ###################################

	-- MOUNT: TIME-LOST PROTO-DRAKE
	Mount_Time_Lost_Proto_Drake_Name, Mount_Time_Lost_Proto_Drake_Rank, Mount_Time_Lost_Proto_Drake_Icon, Mount_Time_Lost_Proto_Drake_Cost, Mount_Time_Lost_Proto_Drake_isFunnel, Mount_Time_Lost_Proto_Drake_powerType, Mount_Time_Lost_Proto_Drake_castTime, Mount_Time_Lost_Proto_Drake_minRange, Mount_Time_Lost_Proto_Drake_maxRange = GetSpellInfo(60002)

	Mount_Time_Lost_Proto_Drake_ID = (60002)
	
	-- ###################################
	-- ###################################

	-- MOUNT: RED PROTO-DRAKE
	Mount_Red_Proto_Drake_Name, Mount_Red_Proto_Drake_Rank, Mount_Red_Proto_Drake_Icon, Mount_Red_Proto_Drake_Cost, Mount_Red_Proto_Drake_isFunnel, Mount_Red_Proto_Drake_powerType, Mount_Red_Proto_Drake_castTime, Mount_Red_Proto_Drake_minRange, Mount_Red_Proto_Drake_maxRange = GetSpellInfo(59961)

	Mount_Red_Proto_Drake_ID = (59961)
	
	-- ###################################
	-- ###################################

	-- MOUNT: BLACK PROTO-DRAKE
	Mount_Black_Proto_Drake_Name, Mount_Black_Proto_Drake_Rank, Mount_Black_Proto_Drake_Icon, Mount_Black_Proto_Drake_Cost, Mount_Black_Proto_Drake_isFunnel, Mount_Black_Proto_Drake_powerType, Mount_Black_Proto_Drake_castTime, Mount_Black_Proto_Drake_minRange, Mount_Black_Proto_Drake_maxRange = GetSpellInfo(59976)

	Mount_Black_Proto_Drake_ID = (59976)
	
	-- ###################################
	-- ###################################

	-- MOUNT: PLAGUED PROTO-DRAKE
	Mount_Plagued_Proto_Drake_Name, Mount_Plagued_Proto_Drake_Rank, Mount_Plagued_Proto_Drake_Icon, Mount_Plagued_Proto_Drake_Cost, Mount_Plagued_Proto_Drake_isFunnel, Mount_Plagued_Proto_Drake_powerType, Mount_Plagued_Proto_Drake_castTime, Mount_Plagued_Proto_Drake_minRange, Mount_Plagued_Proto_Drake_maxRange = GetSpellInfo(60021)

	Mount_Plagued_Proto_Drake_ID = (60021)
	
	-- ###################################
	-- ###################################

	-- MOUNT: IRONBOUND PROTO-DRAKE
	Mount_Ironbound_Proto_Drake_Name, Mount_Ironbound_Proto_Drake_Rank, Mount_Ironbound_Proto_Drake_Icon, Mount_Ironbound_Proto_Drake_Cost, Mount_Ironbound_Proto_Drake_isFunnel, Mount_Ironbound_Proto_Drake_powerType, Mount_Ironbound_Proto_Drake_castTime, Mount_Ironbound_Proto_Drake_minRange, Mount_Ironbound_Proto_Drake_maxRange = GetSpellInfo(63956)

	Mount_Ironbound_Proto_Drake_ID = (63956)
	
	-- ###################################
	-- ###################################

	-- MOUNT: RUSTED PROTO-DRAKE
	Mount_Rusted_Proto_Drake_Name, Mount_Rusted_Proto_Drake_Rank, Mount_Rusted_Proto_Drake_Icon, Mount_Rusted_Proto_Drake_Cost, Mount_Rusted_Proto_Drake_isFunnel, Mount_Rusted_Proto_Drake_powerType, Mount_Rusted_Proto_Drake_castTime, Mount_Rusted_Proto_Drake_minRange, Mount_Rusted_Proto_Drake_maxRange = GetSpellInfo(63963)

	Mount_Rusted_Proto_Drake_ID = (63963)
	
	-- ###################################
	-- ###################################

	-- MOUNT: Celestial Steed
	Mount_Celestrial_Steed_Name, Mount_Celestrial_Steed_Rank, Mount_Celestrial_Steed_Icon, Mount_Celestrial_Steed_Cost, Mount_Celestrial_Steed_isFunnel, Mount_Celestrial_Steed_powerType, Mount_Celestrial_Steed_castTime, Mount_Celestrial_Steed_minRange, Mount_Celestrial_Steed_maxRange = GetSpellInfo(75614)

	Mount_Celestrial_Steed_ID = (75614)
	
	-- ###################################
	-- ###################################

	-- MOUNT: Invincible (Undead Flying Horse)
	Mount_Invincible_Name, Mount_Invincible_Rank, Mount_Invincible_Icon, Mount_Invincible_Cost, Mount_Invincible_isFunnel, Mount_Invincible_powerType, Mount_Invincible_castTime, Mount_Invincible_minRange, Mount_Invincible_maxRange = GetSpellInfo(72286)

	Mount_Invincible_ID = (72286)
	
	-- ###################################
	-- ###################################

	-- MOUNT: Big Love Rocket 
	Mount_Big_Love_Rocket_Name, Mount_Big_Love_Rocket_Rank, Mount_Big_Love_Rocket_Icon, Mount_Big_Love_Rocket_Cost, Mount_Big_Love_Rocket_isFunnel, Mount_Big_Love_Rocket_powerType, Mount_Big_Love_Rocket_castTime, Mount_Big_Love_Rocket_minRange, Mount_Big_Love_Rocket_maxRange = GetSpellInfo(71342)

	Mount_Big_Love_Rocket_ID = (71342)
	
	-- ###################################
	-- ###################################

	-- MOUNT: Flying Machine 
	Mount_Flying_Machine_Name, Mount_Flying_Machine_Rank, Mount_Flying_Machine_Icon, Mount_Flying_Machine_Cost, Mount_Flying_Machine_isFunnel, Mount_Flying_Machine_powerType, Mount_Flying_Machine_castTime, Mount_Flying_Machine_minRange, Mount_Flying_Machine_maxRange = GetSpellInfo(44153)

	Mount_Flying_Machine_ID = (44153)
	
	-- ###################################
	-- ###################################

	-- MOUNT: Mimiron's Head 
	Mount_Mimirons_Head_Name, Mount_Mimirons_Head_Rank, Mount_Mimirons_Head_Icon, Mount_Mimirons_Head_Cost, Mount_Mimirons_Head_isFunnel, Mount_Mimirons_Head_powerType, Mount_Mimirons_Head_castTime, Mount_Mimirons_Head_minRange, Mount_Mimirons_Head_maxRange = GetSpellInfo(63796)

	Mount_Mimirons_Head_ID = (63796)
	
	-- ###################################
	-- ###################################

	-- MOUNT: Turbo-Charged Flying Machine 
	Mount_Turbo_Charged_Flying_Machine_Name, Mount_Turbo_Charged_Flying_Machine_Rank, Mount_Turbo_Charged_Flying_Machine_Icon, Mount_Turbo_Charged_Flying_Machine_Cost, Mount_Turbo_Charged_Flying_Machine_isFunnel, Mount_Turbo_Charged_Flying_Machine_powerType, Mount_Turbo_Charged_Flying_Machine_castTime, Mount_Turbo_Charged_Flying_Machine_minRange, Mount_Turbo_Charged_Flying_Machine_maxRange = GetSpellInfo(44151)

	Mount_Turbo_Charged_Flying_Machine_ID = (44151)
	
	-- ###################################
	-- ###################################

	-- MOUNT: X-51 Nether-Rocket 
	Mount_X51_Nether_Rocket_Name, Mount_X51_Nether_Rocket_Rank, Mount_X51_Nether_Rocket_Icon, Mount_X51_Nether_Rocket_Cost, Mount_X51_Nether_Rocket_isFunnel, Mount_X51_Nether_Rocket_powerType, Mount_X51_Nether_Rocket_castTime, Mount_X51_Nether_Rocket_minRange, Mount_X51_Nether_Rocket_maxRange = GetSpellInfo(46197)

	Mount_X51_Nether_Rocket_ID = (46197)
	
	-- ###################################
	-- ###################################

	-- MOUNT: X-51 Nether-Rocket X-TREME 
	Mount_X51_Nether_Rocket_X_TREME_Name, Mount_X51_Nether_Rocket_X_TREME_Rank, Mount_X51_Nether_Rocket_X_TREME_Icon, Mount_X51_Nether_Rocket_X_TREME_Cost, Mount_X51_Nether_Rocket_X_TREME_isFunnel, Mount_X51_Nether_Rocket_X_TREME_powerType, Mount_X51_Nether_Rocket_X_TREME_castTime, Mount_X51_Nether_Rocket_X_TREME_minRange, Mount_X51_Nether_Rocket_X_TREME_maxRange = GetSpellInfo(46199)

	Mount_X51_Nether_Rocket_X_TREME_ID = (46199)
	
	-- ###################################
	-- ###################################

	-- MOUNT: X53_TOURING_ROCKET 
	Mount_X53_Touring_Rocket_Name, Mount_X53_Touring_Rocket_Rank, Mount_X53_Touring_Rocket_Icon, Mount_X53_Touring_Rocket_Cost, Mount_X53_Touring_Rocket_isFunnel, Mount_X53_Touring_Rocket_powerType, Mount_X53_Touring_Rocket_castTime, Mount_X53_Touring_Rocket_minRange, Mount_X53_Touring_Rocket_maxRange = GetSpellInfo(75973)

	Mount_X53_Touring_Rocket_ID = (75973)
	
	-- ###################################
	-- ###################################

	-- MOUNT: RAVEN LORD 
	Mount_Raven_Lord_Name, Mount_Raven_Lord_Rank, Mount_Raven_Lord_Icon, Mount_Raven_Lord_Cost, Mount_Raven_Lord_isFunnel, Mount_Raven_Lord_powerType, Mount_Raven_Lord_castTime, Mount_Raven_Lord_minRange, Mount_Raven_Lord_maxRange = GetSpellInfo(41252)

	Mount_Raven_Lord_ID = (41252)
	
	-- ###################################
	-- ###################################

	-- MOUNT: HEADLESS HORSEMAN 
	Mount_Headless_Horseman_Name, Mount_Headless_Horseman_Rank, Mount_Headless_Horseman_Icon, Mount_Headless_Horseman_Cost, Mount_Headless_Horseman_isFunnel, Mount_Headless_Horseman_powerType, Mount_Headless_Horseman_castTime, Mount_Headless_Horseman_minRange, Mount_Headless_Horseman_maxRange = GetSpellInfo(48025)

	Mount_Headless_Horseman_ID = (48025)
	
	-- ###################################
	-- ###################################

	-- MOUNT: DRAKE OF THE WEST WIND 
	Mount_Drake_of_the_West_Wind_Name, Mount_Drake_of_the_West_Wind_Rank, Mount_Drake_of_the_West_Wind_Icon, Mount_Drake_of_the_West_Wind_Cost, Mount_Drake_of_the_West_Wind_isFunnel, Mount_Drake_of_the_West_Wind_powerType, Mount_Drake_of_the_West_Wind_castTime, Mount_Drake_of_the_West_Wind_minRange, Mount_Drake_of_the_West_Wind_maxRange = GetSpellInfo(88741)

	Mount_Drake_of_the_West_Wind_ID = (88741)
	
	-- ###################################
	-- ###################################

	-- MOUNT: DRAKE OF THE SOUTH WIND 
	Mount_Drake_of_the_South_Wind_Name, Mount_Drake_of_the_South_Wind_Rank, Mount_Drake_of_the_South_Wind_Icon, Mount_Drake_of_the_South_Wind_Cost, Mount_Drake_of_the_South_Wind_isFunnel, Mount_Drake_of_the_South_Wind_powerType, Mount_Drake_of_the_South_Wind_castTime, Mount_Drake_of_the_South_Wind_minRange, Mount_Drake_of_the_South_Wind_maxRange = GetSpellInfo(88744)

	Mount_Drake_of_the_South_Wind_ID = (88744)
	
	-- ###################################
	-- ###################################

	-- MOUNT: DRAKE OF THE NORTH WIND 
	Mount_Drake_of_the_North_Wind_Name, Mount_Drake_of_the_North_Wind_Rank, Mount_Drake_of_the_North_Wind_Icon, Mount_Drake_of_the_North_Wind_Cost, Mount_Drake_of_the_North_Wind_isFunnel, Mount_Drake_of_the_North_Wind_powerType, Mount_Drake_of_the_North_Wind_castTime, Mount_Drake_of_the_North_Wind_minRange, Mount_Drake_of_the_North_Wind_maxRange = GetSpellInfo(88742)

	Mount_Drake_of_the_North_Wind_ID = (88742)
	
	-- ###################################
	-- ###################################

	-- MOUNT: DRAKE OF THE EAST WIND 
	Mount_Drake_of_the_East_Wind_Name, Mount_Drake_of_the_East_Wind_Rank, Mount_Drake_of_the_East_Wind_Icon, Mount_Drake_of_the_East_Wind_Cost, Mount_Drake_of_the_East_Wind_isFunnel, Mount_Drake_of_the_East_Wind_powerType, Mount_Drake_of_the_East_Wind_castTime, Mount_Drake_of_the_East_Wind_minRange, Mount_Drake_of_the_East_Wind_maxRange = GetSpellInfo(88335)

	Mount_Drake_of_the_East_Wind_ID = (88335)
	
	-- ###################################
	-- ###################################

	-- MOUNT: DARK PHOENIX 
	Mount_Dark_Phoenix_Name, Mount_Dark_Phoenix_Rank, Mount_Dark_Phoenix_Icon, Mount_Dark_Phoenix_Cost, Mount_Dark_Phoenix_isFunnel, Mount_Dark_Phoenix_powerType, Mount_Dark_Phoenix_castTime, Mount_Dark_Phoenix_minRange, Mount_Dark_Phoenix_maxRange = GetSpellInfo(88990)

	Mount_Dark_Phoenix_ID = (88990)
	
	-- ###################################
	-- ###################################

	-- MOUNT: WINGED GUARDIAN 
	Mount_Winged_Guardian_Name, Mount_Winged_Guardian_Rank, Mount_Winged_Guardian_Icon, Mount_Winged_Guardian_Cost, Mount_Winged_Guardian_isFunnel, Mount_Winged_Guardian_powerType, Mount_Winged_Guardian_castTime, Mount_Winged_Guardian_minRange, Mount_Winged_Guardian_maxRange = GetSpellInfo(98727)

	Mount_Winged_Guardian_ID = (98727)
	
	-- ###################################
	-- ###################################

	-- MOUNT: ASHES OF AL'AR 
	Mount_Ashes_of_AlAr_Name, Mount_Ashes_of_AlAr_Rank, Mount_Ashes_of_AlAr_Icon, Mount_Ashes_of_AlAr_Cost, Mount_Ashes_of_AlAr_isFunnel, Mount_Ashes_of_AlAr_powerType, Mount_Ashes_of_AlAr_castTime, Mount_Ashes_of_AlAr_minRange, Mount_Ashes_of_AlAr_maxRange = GetSpellInfo(40192)

	Mount_Ashes_of_AlAr_ID = (40192)
	
	-- ###################################
	-- ###################################

	-- MOUNT: FLAMEWARD HIPPOGRYPH 
	Mount_Flameward_Hippogryph_Name, Mount_Flameward_Hippogryph_Rank, Mount_Flameward_Hippogryph_Icon, Mount_Flameward_Hippogryph_Cost, Mount_Flameward_Hippogryph_isFunnel, Mount_Flameward_Hippogryph_powerType, Mount_Flameward_Hippogryph_castTime, Mount_Flameward_Hippogryph_minRange, Mount_Flameward_Hippogryph_maxRange = GetSpellInfo(97359)

	Mount_Flameward_Hippogryph_ID = (97359)
	
	-- ###################################
	-- ###################################

	-- MOUNT: FIERY WARHORSE (KARAZHAN MOUNT)
	Mount_Fiery_Warhorse_Name, Mount_Fiery_Warhorse_Rank, Mount_Fiery_Warhorse_Icon, Mount_Fiery_Warhorse_Cost, Mount_Fiery_Warhorse_isFunnel, Mount_Fiery_Warhorse_powerType, Mount_Fiery_Warhorse_castTime, Mount_Fiery_Warhorse_minRange, Mount_Fiery_Warhorse_maxRange = GetSpellInfo(36702)

	Mount_Fiery_Warhorse_ID = (36702)
	
	-- ###################################
	-- ###################################

	-- MOUNT: RIVENDARE DEATHCHARGER
	Mount_Rivendare_DeathCharger_Name, Mount_Rivendare_DeathCharger_Rank, Mount_Rivendare_DeathCharger_Icon, Mount_Rivendare_DeathCharger_Cost, Mount_Rivendare_DeathCharger_isFunnel, Mount_Rivendare_DeathCharger_powerType, Mount_Rivendare_DeathCharger_castTime, Mount_Rivendare_DeathCharger_minRange, Mount_Rivendare_DeathCharger_maxRange = GetSpellInfo(17481)

	Mount_Rivendare_DeathCharger_ID = (17481)
	
	-- ###################################


	-- ###################################
	-- ###################################
	-- ###################################
	-- ###################################
	-- ###################################

	-- ###################################
	--        CHECK MOUNT SPELL IDs
	-- ###################################
	
	-- ###################################

function Check_Mount_SpellIDs()
	-- ATTEMPTING TO ANTICIPATE BLIZZARD FUCKING AROUND WITH SPELL IDs TO BREAK ADD-ONS:

	-- ###################################
	-- ###################################
	--            MOUNT SPELLS
	-- ###################################
	-- ###################################


	-- ###################################

	-- ARGENT HIPPOGRYPH SPELL ID CHECK
	if Mount_Argent_Hippogryph_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Argent Hippogryph): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Argent Hippogryph): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- BLAZING HIPPOGRYPH - TCG Loot SPELL ID CHECK
	if Mount_Blazing_Hippogryph_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Blazing Hippogryph): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Blazing Hippogryph): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- CENARION WAR HIPPOGRYPH SPELL ID CHECK
	if Mount_Cenarion_War_Hippogryph_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Cenarion War Hippogryph): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Cenarion War Hippogryph): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- SILVER COVENANT HIPPOGRYPH SPELL ID CHECK
	if Mount_Silver_Covenant_Hippogryph_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Silver Covenant Hippogryph): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Silver Covenant Hippogryph): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- BLUE DRAGONHAWK ( ALLIANCE ) SPELL ID CHECK
	if Mount_Blue_Dragonhawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Blue Dragonhawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Blue Dragonhawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- RED DRAGONHAWK ( HORDE ) SPELL ID CHECK
	if Mount_Red_Dragonhawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Red Dragonhawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Red Dragonhawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- SUNREAVER DRAGONHAWK SPELL ID CHECK
	if Mount_Sunreaver_Dragonhawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Sunreaver Dragonhawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Sunreaver Dragonhawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- AMANI DRAGONHAWK SPELL ID CHECK
	if Mount_Amani_Dragonhawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Amani Dragonhawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Amani Dragonhawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- GREEN FIRE HAWK SPELL ID CHECK
	if Mount_Green_Fire_Hawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Green Fire Hawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Green Fire Hawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- PUREBLOOD FIRE HAWK SPELL ID CHECK
	if Mount_Pureblood_Fire_Hawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Pureblood Fire Hawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Pureblood Fire Hawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- CORRUPT FIRE HAWK SPELL ID CHECK
	if Mount_Corrupt_Fire_Hawk_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Corrupt Fire Hawk): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Corrupt Fire Hawk): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- SANDSTONE DRAKE - VIAL OF THE SANDS SPELL ID CHECK
	if Mount_Sandstone_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Sandstone Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Sandstone Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- PHOSPHORESCENT STONE DRAKE SPELL ID CHECK
	if Mount_Phosphorescent_Stone_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Phosphorescent Stone Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Phosphorescent Stone Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- VITREOUS STONE DRAKE SPELL ID CHECK
	if Mount_Vitreous_Stone_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Vitreous Stone Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Vitreous Stone Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- VOLCANIC STONE DRAKE SPELL ID CHECK
	if Mount_Volcanic_Stone_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Volcanic Stone Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Volcanic Stone Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- ICEBOUND FROSTBROOD VANQUISHER SPELL ID CHECK
	if Mount_Icebound_Frostbrood_Vanquisher_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Icebound Frostbrood Vanquisher): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Icebound Frostbrood Vanquisher): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- BLOODBATHED FROSTBROOD VANQUISHER SPELL ID CHECK
	if Mount_Bloodbathed_Frostbrood_Vanquisher_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Bloodbathed Frostbrood Vanquisher): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Bloodbathed Frostbrood Vanquisher): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- ONYXIAN DRAKE SPELL ID CHECK
	if Mount_Onyxian_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Onyxian Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Onyxian Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- TIME-LOST PROTO-DRAKE SPELL ID CHECK
	if Mount_Time_Lost_Proto_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Time-Lost Proto Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Time-Lost Proto Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- RED PROTO-DRAKE SPELL ID CHECK
	if Mount_Red_Proto_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Red Proto Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Red Proto Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- PLAGUED PROTO-DRAKE SPELL ID CHECK
	if Mount_Plagued_Proto_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Plagued Proto Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Plagued Proto Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- IRONBOUND PROTO-DRAKE SPELL ID CHECK
	if Mount_Ironbound_Proto_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Ironbound Proto Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Ironbound Proto Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- RUSTED PROTO-DRAKE SPELL ID CHECK
	if Mount_Rusted_Proto_Drake_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Rusted Proto Drake): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Rusted Proto Drake): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- RAVEN LORD SPELL ID CHECK
	if Mount_Raven_Lord_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Raven Lord): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Raven Lord): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- RIVENDARE DEATHCHARGER SPELL ID CHECK
	if Mount_Rivendare_DeathCharger_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Rivendare DeathCharger): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Rivendare DeathCharger): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- FIERY WARHORSE SPELL ID CHECK
	if Mount_Fiery_Warhorse_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Fiery Warhorse): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Fiery Warhorse): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- HEADLESS HORSEMAN SPELL ID CHECK
	if Mount_Headless_Horseman_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Headless Horseman): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Headless Horseman): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- FLAMEWARD HIPPOGRYPH SPELL ID CHECK
	if Mount_Flameward_Hippogryph_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Flameward Hippogryph): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Flameward Hippogryph): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- ASHES OF AL'AR SPELL ID CHECK
	if Mount_Ashes_of_AlAr_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Ashes of Al'ar): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Ashes of Al'ar): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- WINGED GUARDIAN SPELL ID CHECK
	if Mount_Winged_Guardian_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Winged Guardian): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Winged Guardian): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- DRAKE OF THE WEST WIND SPELL ID CHECK
	if Mount_Drake_of_the_West_Wind_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Drake of the West Wind): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Drake of the West Wind): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- DRAKE OF THE SOUTH WIND SPELL ID CHECK
	if Mount_Drake_of_the_South_Wind_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Drake of the South Wind): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Drake of the South Wind): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- DRAKE OF THE NORTH WIND SPELL ID CHECK
	if Mount_Drake_of_the_North_Wind_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Drake of the North Wind): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Drake of the North Wind): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- DRAKE OF THE EAST WIND SPELL ID CHECK
	if Mount_Drake_of_the_East_Wind_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Drake of the East Wind): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Drake of the East Wind): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- DARK PHOENIX SPELL ID CHECK
	if Mount_Dark_Phoenix_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Dark Phoenix): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Dark Phoenix): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- X53 TOURING ROCKET SPELL ID CHECK
	if Mount_X53_Touring_Rocket_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (X53 Touring Rocket): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (X53 Touring Rocket): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- X51 Nether Rocket X TREME SPELL ID CHECK
	if Mount_X51_Nether_Rocket_X_TREME_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (X-51 Nether-Rocket X-TREME): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (X-51 Nether-Rocket X-TREME): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- X51 Nether Rocket SPELL ID CHECK
	if Mount_X51_Nether_Rocket_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (X-51 Nether-Rocket): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (X-51 Nether-Rocket): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Turbo-Charged Flying Machine SPELL ID CHECK
	if Mount_Turbo_Charged_Flying_Machine_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Turbo-Charged Flying Machine): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Turbo-Charged Flying Machine): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Mimiron's Head SPELL ID CHECK
	if Mount_Mimirons_Head_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Mimiron's Head): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Mimiron's Head): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Flying Machine SPELL ID CHECK
	if Mount_Flying_Machine_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Flying Machine): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Flying Machine): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Big Love Rocket SPELL ID CHECK
	if Mount_Big_Love_Rocket_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Big Love Rocket): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Big Love Rocket): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Invincible SPELL ID CHECK
	if Mount_Invincible_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Invincible): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Invincible): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Celestrial Steed SPELL ID CHECK
	if Mount_Celestrial_Steed_Name == nil then
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Celestrial Steed): SpellID has changed." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
		DEFAULT_CHAT_FRAME:AddMessage(" ")
		UIErrorsFrame:AddMessage(colRed .. "Mount - (Celestrial Steed): SpellID has changed." .. colEnd)
		UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	end

	-- ###################################
	-- ###################################

	-- Tyrael's Charger SPELL ID CHECK
	-- if Mount_Tyraels_Charger_Name == nil then
	-- 	DEFAULT_CHAT_FRAME:AddMessage(" ")
	-- 	DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Mount - (Tyrael's Charger): SpellID has changed." .. colEnd)
	-- 	DEFAULT_CHAT_FRAME:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)
	-- 	DEFAULT_CHAT_FRAME:AddMessage(" ")
	-- 	UIErrorsFrame:AddMessage(colRed .. "Mount - (Tyrael's Charger): SpellID has changed." .. colEnd)
	-- 	UIErrorsFrame:AddMessage(colRed .. "Needs to be fixed before add on will work." .. colEnd)

	-- end

	-- ###################################
	-- ###################################

end	